complexType "PositionsAsserted"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 10 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, portfolio?, submissionsComplete?, ((replaceAllPositions, definePosition+) | (definePosition | removePosition)*)?, party*, account*
</...>

Content Model Elements (10):

  account, definePosition (in positionsAsserted), definePosition (in positionsAsserted), header (defined in RequestMessage complexType), party (defined in PartiesAndAccounts.model group), | portfolio (in positionsAsserted), removePosition, replaceAllPositions, submissionsComplete (in positionsAsserted), validation

All Direct / Indirect Based Elements (1):

  positionsAsserted

Known Usage Locations

- As direct type of elements (1):
  positionsAsserted

Annotation
Request that a portfolio be defined, either by replacing any pre-existing definition, or by updating or removing individual positions.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) PositionsAsserted

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="PositionsAsserted"> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="portfolio" type="InitialPortfolioDefinition"/> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="replaceAllPositions" type="Empty"/> <xsd:element maxOccurs="unbounded" name="definePosition" type="DefinePosition"/> </xsd:sequence> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element name="definePosition" type="DefinePosition"/> <xsd:element name="removePosition" type="PositionReference"/> </xsd:choice> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/10)
definePosition

  Type: | DefinePosition, complex content

  Used to specify a new position.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="definePosition" type="DefinePosition"/>

definePosition

  Type: | DefinePosition, complex content

  Used to specify a position, whether it is a new or updated position.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="definePosition" type="DefinePosition"/>

portfolio

  Type: | InitialPortfolioDefinition, complex content

  Contains the portfolio definition.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="portfolio" type="InitialPortfolioDefinition"/>

removePosition

  Type: | PositionReference, complex content

  Used to remove a position from the portfolio.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="removePosition" type="PositionReference"/>

replaceAllPositions

  Type: | Empty, empty content

  Indicates that this message replaces all previous positions for this portfolio.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="replaceAllPositions" type="Empty"/>

submissionsComplete

  Type: | xsd:boolean, predefined, simple content

  Indicates whether all portfolio updates have been submitted for this as-of date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.